package com.xingxi.master.product.mapper;

import com.xingxi.master.product.domain.ProdPic;

import java.util.List;

/**
 * 商品图片Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface ProdPicMapper {
    /**
     * 查询商品图片
     *
     * @param id 商品图片主键
     * @return 商品图片
     */
    ProdPic selectProdPicById(Long id);

    /**
     * 查询商品图片列表
     *
     * @param prodPic 商品图片
     * @return 商品图片集合
     */
    List<ProdPic> selectProdPicList(ProdPic prodPic);

    /**
     * 新增商品图片
     *
     * @param prodPic 商品图片
     * @return 结果
     */
    int insertProdPic(ProdPic prodPic);

    /**
     * 批量新增商品图片
     *
     * @param prodPicList 商品图片
     * @return 结果
     */
    int batchInsertProdPic(List<ProdPic> prodPicList);

    /**
     * 修改商品图片
     *
     * @param prodPic 商品图片
     * @return 结果
     */
    int updateProdPic(ProdPic prodPic);

    /**
     * 删除商品图片
     *
     * @param id 商品图片主键
     * @return 结果
     */
    int deleteProdPicById(Long id);

    /**
     * 批量删除商品图片
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProdPicByIds(String[] ids);


    /**
     * 逻辑删除商品图片
     *
     * @param id 商品图片主键
     * @return 结果
     */
    int logicDeleteProdPicById(Long id);

    /**
     * 逻辑批量删除商品图片
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteProdPicByIds(String[] ids);

    /**
     * 逻辑批量删除商品图片
     *
     * @param prodPic 商品图片
     * @return 结果
     */
    int logicDeleteProdPicByCondition(ProdPic prodPic);

}
